summaryrefslogtreecommitdiffhomepage
path: root/sdks/vscode/script
diff options
context:
space:
mode:
authorFrank <[email protected]>2025-07-20 11:33:41 -0400
committerFrank <[email protected]>2025-07-20 11:33:44 -0400
commit0e1565449e4d89c0d7780436b2dd1d777e8447ba (patch)
treebf6b54652ac8c3eb74b601bfb484343837221b4a /sdks/vscode/script
parentf9a47fe5a387bc36f74a3af30638deda3a591259 (diff)
downloadopencode-0e1565449e4d89c0d7780436b2dd1d777e8447ba.tar.gz
opencode-0e1565449e4d89c0d7780436b2dd1d777e8447ba.zip
wip: vscode extension
Diffstat (limited to 'sdks/vscode/script')
-rwxr-xr-xsdks/vscode/script/publish17
-rwxr-xr-xsdks/vscode/script/release41
2 files changed, 58 insertions, 0 deletions
diff --git a/sdks/vscode/script/publish b/sdks/vscode/script/publish
new file mode 100755
index 000000000..3c16f474f
--- /dev/null
+++ b/sdks/vscode/script/publish
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+# Get the latest Git tag
+latest_tag=$(git tag --sort=committerdate | grep -E '^vscode-v[0-9]+\.[0-9]+\.[0-9]+$' | tail -1)
+if [ -z "$latest_tag" ]; then
+ echo "No tags found"
+ exit 1
+fi
+echo "Latest tag: $latest_tag"
+version=$(echo $latest_tag | sed 's/^vscode-v//')
+echo "Latest version: $version"
+
+# package-marketplace
+vsce package --no-git-tag-version --no-update-package-json --no-dependencies --skip-license -o dist/opencode.vsix $version
+
+# publish-marketplace
+vsce publish --packagePath dist/opencode.vsix \ No newline at end of file
diff --git a/sdks/vscode/script/release b/sdks/vscode/script/release
new file mode 100755
index 000000000..28de15fd8
--- /dev/null
+++ b/sdks/vscode/script/release
@@ -0,0 +1,41 @@
+#!/usr/bin/env bash
+
+# Parse command line arguments
+minor=false
+while [ "$#" -gt 0 ]; do
+ case "$1" in
+ --minor) minor=true; shift 1;;
+ *) echo "Unknown parameter: $1"; exit 1;;
+ esac
+done
+
+# Get the latest Git tag
+git fetch --force --tags
+latest_tag=$(git tag --sort=committerdate | grep -E '^vscode-v[0-9]+\.[0-9]+\.[0-9]+$' | tail -1)
+if [ -z "$latest_tag" ]; then
+ echo "No tags found"
+ exit 1
+fi
+
+echo "Latest tag: $latest_tag"
+
+# Split the tag into major, minor, and patch numbers
+IFS='.' read -ra VERSION <<< "$latest_tag"
+
+if [ "$minor" = true ]; then
+ # Increment the minor version and reset patch to 0
+ minor_number=${VERSION[1]}
+ let "minor_number++"
+ new_version="${VERSION[0]}.$minor_number.0"
+else
+ # Increment the patch version
+ patch_number=${VERSION[2]}
+ let "patch_number++"
+ new_version="${VERSION[0]}.${VERSION[1]}.$patch_number"
+fi
+
+echo "New version: $new_version"
+
+# Tag
+git tag $new_version
+git push --tags \ No newline at end of file